remove $Id: tags after discussion on the mailign list: http://markmail.org/message...
[blender.git] / intern / ffmpeg / ffmpeg_compat.h
old mode 100755 (executable)
new mode 100644 (file)
index 9c46841..dfdad22
@@ -2,7 +2,6 @@
 #define __ffmpeg_compat_h_included__ 1
 
 /*
- * $Id: ffmpeg_compat.h 36982 2011-05-28 14:16:56Z schlaile $
  *
  * compatibility macros to make every ffmpeg installation appear
  * like the most current installation (wrapping some functionality sometimes)
 
 
 #include <libavformat/avformat.h>
+
+
+/* check our ffmpeg is new enough, avoids user complaints */
+#if (LIBAVFORMAT_VERSION_MAJOR < 52) || ((LIBAVFORMAT_VERSION_MAJOR == 52) && (LIBAVFORMAT_VERSION_MINOR <= 64))
+#  error "FFmpeg 0.7 or newer is needed, Upgrade your FFmpeg or disable it"
+#endif
+/* end sanity check */
+
+
 #include <libavcodec/avcodec.h>
 #include <libavutil/rational.h>
 
@@ -142,7 +150,8 @@ int64_t av_get_pts_from_frame(AVFormatContext *avctx, AVFrame * picture)
        if (pts == AV_NOPTS_VALUE) {
                pts = 0;
        }
-       
+
+       (void)avctx;
        return pts;
 }